www.libssh2.org | Daily snapshots | Mailing list archive | Docs | Examples | github

Archive Index This month's Index

Subject: gcc -V causes ubuntu 14.04 compile failure?

gcc -V causes ubuntu 14.04 compile failure?

From: Niels Larsen <niels_at_genomics.dk>
Date: Thu, 04 Dec 2014 20:36:06 +0100

Libssh2 people,

On stock Ubuntu 14.04 (Linux 64 bit) I get:

~/BION/Software/Package_sources/Utilities/libssh2-1.4.3> ./configure
checking whether to enable maintainer-specific portions of Makefiles...
no
checking for sed... /bin/sed
checking for a BSD-compatible
install... /home/bion/BION/Software/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir
-p... /home/bion/BION/Software/bin/mkdir -p
checking for gawk... no
checking for mawk... mawk
checking whether make sets $(MAKE)... yes
checking libssh2 version... 1.4.3
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
configure: autobuild project... libssh2
configure: autobuild revision... 1.4.3
configure: autobuild hostname... bion-VirtualBox
configure: autobuild timestamp... 20141204-202652
checking for style of include used by make... GNU
checking for gcc... gcc
checking whether the C compiler works... no
configure: error: in
`/home/bion/BION/Software/Package_sources/Utilities/libssh2-1.4.3':
configure: error: C compiler cannot create executables
See `config.log' for more details
~/BION/Software/Package_sources/Utilities/libssh2-1.4.3>

and config.log is attached. It looks as if gcc is given the -V argument,
which
gcc does not understand anymore. The latest daily snapshot (december 4)
behaves the same. Can someone tell me where to edit if there is an easy
fix, or better, post an update with the fix?

Niels L

_______________________________________________
libssh2-devel http://cool.haxx.se/cgi-bin/mailman/listinfo/libssh2-devel

Received on 2014-12-04

the libssh2 team